# Uses of Class
org.apache.sling.feature.scanner.BundleDescriptor

Packages that use BundleDescriptor
Package
Description
org.apache.sling.feature.analyser
org.apache.sling.feature.analyser.extensions
org.apache.sling.feature.analyser.task
org.apache.sling.feature.scanner
org.apache.sling.feature.scanner.spi

## Uses of BundleDescriptor in org.apache.sling.feature.analyser

Methods in org.apache.sling.feature.analyser that return BundleDescriptor
Modifier and Type
Method
Description
`BundleDescriptor`
AnalyserResult.`getFrameworkDescriptor()`
Return the framework descriptor created during scanning if available

## Uses of BundleDescriptor in org.apache.sling.feature.analyser.extensions

Methods in org.apache.sling.feature.analyser.extensions with parameters of type BundleDescriptor
Modifier and Type
Method
Description
`void`
AnalyserMetaDataExtension.`add(BundleDescriptor... bundleDescriptors)`

## Uses of BundleDescriptor in org.apache.sling.feature.analyser.task

Methods in org.apache.sling.feature.analyser.task that return BundleDescriptor
Modifier and Type
Method
Description
`BundleDescriptor`
AnalyserTaskContext.`getFrameworkDescriptor()`
The framework descriptor

## Uses of BundleDescriptor in org.apache.sling.feature.scanner

Classes in org.apache.sling.feature.scanner that implement interfaces with type arguments of type BundleDescriptor
Modifier and Type
Class
Description
`class`
`BundleDescriptor`
Information about a bundle.
Methods in org.apache.sling.feature.scanner that return BundleDescriptor
Modifier and Type
Method
Description
`BundleDescriptor`
Scanner.`scan(org.apache.sling.feature.ArtifactId framework, Map<String,String> props)`
Scan a framework
`BundleDescriptor`
Scanner.`scanBundle(org.apache.sling.feature.Artifact bundle)`
Scan a bundle
Methods in org.apache.sling.feature.scanner that return types with arguments of type BundleDescriptor
Modifier and Type
Method
Description
`final Set<BundleDescriptor>`
ContainerDescriptor.`getBundleDescriptors()`
Return a set of bundle descriptors.
`abstract List<BundleDescriptor>`
ContentPackageDescriptor.`getBundles()`
Get the included bundles
Methods in org.apache.sling.feature.scanner with parameters of type BundleDescriptor
Modifier and Type
Method
Description
`int`
BundleDescriptor.`compareTo(BundleDescriptor o)`

## Uses of BundleDescriptor in org.apache.sling.feature.scanner.spi

Methods in org.apache.sling.feature.scanner.spi that return BundleDescriptor
Modifier and Type
Method
Description
`BundleDescriptor`
FrameworkScanner.`scan(org.apache.sling.feature.ArtifactId framework, Map<String,String> frameworkProps, org.apache.sling.feature.builder.ArtifactProvider provider)`
Try to scan the artifact